org.jbpm.workflow.instance.node

## Class BoundaryEventNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
    - - org.jbpm.workflow.instance.node.EventNodeInstance
      - - org.jbpm.workflow.instance.node.BoundaryEventNodeInstance

- All Implemented Interfaces:
    Serializable, EventBasedNodeInstanceInterface, EventNodeInstanceInterface, org.kie.api.runtime.process.NodeInstance

      public class BoundaryEventNodeInstance
      extends EventNodeInstance

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `dynamicParameters, logger, slaCompliance, slaDueDate, slaTimerId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoundaryEventNodeInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()`
    `void` | `signalEvent(String type, Object event)`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.EventNodeInstance

      `addEventListeners, addTimerListener, configureSla, getEventListener, getEventNode, getEventType, handleSLAViolation, internalTrigger, removeEventListeners, removeTimerListeners, triggerCompleted`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl

      `getExtendedNode, triggerCompleted, triggerCompleted, triggerEvent`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `executeAction, followConnection, getExecutionErrorHandler, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNode, triggerNode, triggerNodeInstance, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoundaryEventNodeInstance

          public BoundaryEventNodeInstance()

  - ### Method Detail

    - #### signalEvent

          public void signalEvent(String type,
                                  Object event)

      Specified by:
        `signalEvent` in interface `EventNodeInstanceInterface`
      Overrides:
        `signalEvent` in class `EventNodeInstance`

    - #### cancel

          public void cancel()

      Overrides:
        `cancel` in class `EventNodeInstance`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.